import { EditorInput } from 'vscode/vscode/vs/workbench/common/editor/editorInput';
import { localize } from 'vscode/vscode/vs/nls';
import { Codicon } from 'vscode/vscode/vs/base/common/codicons';
import { registerIcon } from 'vscode/vscode/vs/platform/theme/common/iconRegistry';

const DisassemblyEditorIcon = registerIcon('disassembly-editor-label-icon', Codicon.debug, ( localize(5829, 'Icon of the disassembly editor label.')));
class DisassemblyViewInput extends EditorInput {
    constructor() {
        super(...arguments);
        this.resource = undefined;
    }
    static { this.ID = 'debug.disassemblyView.input'; }
    get typeId() {
        return DisassemblyViewInput.ID;
    }
    static get instance() {
        if (!DisassemblyViewInput._instance || DisassemblyViewInput._instance.isDisposed()) {
            DisassemblyViewInput._instance = ( (new DisassemblyViewInput()));
        }
        return DisassemblyViewInput._instance;
    }
    getName() {
        return ( localize(5830, "Disassembly"));
    }
    getIcon() {
        return DisassemblyEditorIcon;
    }
    matches(other) {
        return other instanceof DisassemblyViewInput;
    }
}

export { DisassemblyViewInput };
